Contents

TapeIt Help Contents

  • Introduction
  • Overview
  • File Handling
  • Recording Controls
  • Recording Level
  • Known Issues
  • Contact
  • Legal Notices


Introduction

Silverspike TapeIt is a VST-Plugin to record audio streams creating wave files.

You can plug TapeIt into your VST host application at any point accepting VST plugins. Unlike most other plugins, TapeIt does not change the sound of your audio. But, while copying the sound unaltered from input to output, TapeIt writes it to a standard WAV file. This way you can grab any audio signal that appears at one of the plugin-points of your audio application.

TapeIt expands the possibilities of your audio software by adding exciting new export features:

  • Use TapeIt as a channel insert plugin for quick track bouncing.
  • Put TapeIt in the master channel and record your music even with audio software that doesn't offer an audio-mixdown feature.
  • Record your VST instruments in realtime while playing.
  • Put TapeIt before and/or after an effect plugin to record the dry and/or wet signal.
  • Use TapeIt to monitor any specific point in the signal chain.
  • Use more than one instance of TapeIt simultaneously.

Use TapeIt with your favorite VST enabled audio software: Cubase VST, Cubase SX, Nuendo, Wavelab, Logic Audio, FruityLoops, Orion, n-Track Studio, AudioMulch, Spark FXMachine, RT Player Pro.

Furthermore, TapeIt can be used in DirectX hosting audio software with the help of a VST-DirectX wrapper like VST DX Wrapper Pro (by SpinAudio) or VST-DX Adapter (by fxpansion).

Key-Features:

  • VST logo VST2 compatible.
  • Various WAV formats: 8, 16 and 24 integer, 32 bit float. Mono and stereo.
  • Manual and automatic recording level adjustment.

© Copyright 2002, Thomas Weiser. All rights reserved.
Legal Notices


Overview

The user interface of TapeIt consists of two pages: a main page and an info page. They are illustrated in the picture below. Click on an element to go to the according help topic.

Main Page

OverviewMainPage Name of wave file Open/Close Record/Pause Pause indicator Record indicator Recorded time
and file size Level meter Clip indicator Peak level Automatic gain reduction Gain control Switch to info page

Info Page

OverviewInfoPage Mail the author Visit homepage Open help file Switch to main page


File Handling

File Handling FileSelectionPartEmpty

You open a file to record to in the top left part of the main page. The light blue display shows the name of the selected file. If no file is selected, the display is empty.

OpenButton To select a file press the open button.

A file selection box appears. Choose a directory and a name for the file to record to. At the bottom of the window choose the desired attributes of the wave file.

You can choose between 8, 16 and 24 bit integer formats and 32 bit float format. Note that some audio applications cannot read 24 bit and/or 32 bit audio files. If you choose to generate a mono file, both input channels are mixed together into one mono channel. Note that TapeIt uses the current sample rate of your VST hosts to generate the audio file.

FileSelectionPartOpen Having selected a file, the display shows its name and the button function changes.

CloseButton Press the close button to stop your recording and close the file.


Recording Controls

Recording Controls RecordingControlsOff

The top right part of the main page controls the recording process.

RecordButton To start recording press the record button.
If you have not opened a file before, a file selection box will pop up.

PauseButton While recording the button changes its function.
Press the pause button to temporarily stop the recording.

Two indicators show the current recording status.

Pause grey | Not in pause mode.
Pause yellow | Paused, prepared for record.

Recording grey | Not recording.
Recording yellow | Recording, host delivers no data.
Recording red | Actually recording.

The display below the indicators show the current recorded time and file size.

Note that WAV files have an inherent 2 GB file size limit. Should your recording exceed this limit, TapeIt will close the file automatically.


Recording Level

Recording Level LevelOff

The bottom left part of the main page controls the recording level.

Whereas the VST interface uses 32bit floating point numbers for the audio signals, audio files are most often limited to 16bit or 24bit integer resolution. As a consequence it is necessary to adjust the recording level. A too high recording level results in digital clipping. A too low recording level results in a low signal-to-noise ratio.

Even when recording files with 32bit float resolution adjustment of recording level is important. Certainly, a wrong recording level does not mean a loss of audio information in principle. However, further processing of the audio file assumes a fixed reference level (values between -1.0 and 1.0), thus having to rely on a correct recording level.

In short, the recording level should be adjusted, so that the peak level of the recorded signal is just a bit below the 0 dB mark. TapeIt provides controls for monitoring the recording level and adjusting it, both manually and automatically.

LevelOn The VU display shows current recording level. The scale is 6 dB per tick mark.

VU green | -90 dB | .. | -6 dB
VU yellow | -6 dB | .. | 0 dB
VU red | 0 dB | .. | +18 dB | (Clipping)

The light blue display shows the peak level so far. Above this display there is a clip indicator. You can reset both the display and the indicator by clicking on one of them.

Clip gray | No clipping occured.
Clip yellow | Clipping while not recording
Clip red | Clipping while recording.

Manually Adjusting

Gain knob Play the loudest part of your audio material through TapeIt. Adjust the recording level by turning the gain knob. The current recording gain is displayed below the knob. The level should reach the yellow region in the VU meter without reaching the 0 dB mark. Peak level display and clip indicator assist you in finding a good level.

You can reset the gain knob to 0 dB by clicking on it with the Ctrl-key pressed.

Automatically Adjusting

DampButton Play the loudest part of your audio material through TapeIt and turn the gain knob to the right so that clipping would appear. Now press the damp button. TapeIt will measure the recording level for you and reduce gain accordingly, until there is no clipping anymore (with a safety headroom of 3 dB).

DampButtonOff When the recording level is to your liking press the button again to stop the measurement. You are now prepared for recording.

Below the damp button there is an indicator, that monitors the measuring process.

Damp gray | Automatic gain reduction off.
Damp green | Active, gain not reduced so far.
Damp yellow | Active, gain reduced while not recording.
Damp red | Active, gain reduced while recording.

Click on the indicator to reset it.

It is advised not to change gain while recording. Although TapeIt takes care not to introduce clicks into the recording, the abrupt change in volume may be hearable and disturbing.


Known Issues

  • TapeIt is not tested with all available VST hosts. Please report any incompatibilities.
  • TapeIt is not tested on multiprocessor machines. Feedback welcome.
  • On a slow or heavy loaded machine an internal buffer overflow may occur. As a result there may be some dropouts in your recording.

    VST logo Any buffer overflow will be indicated by a red border around the time/size display. You may click on the TapeIt logo to reset the overflow indicator.

  • If hosted by SpinAudio VST DX Wrapper there may be display update problems.
  • Currently we have no plans for a Mac version.


Contact

HelpButton You may use TapeIt for free. We would be glad to get some feedback in return.
  • Is TapeIt useful to you?
  • In which situations do you use TapeIt?
  • How does it work within your audio software and operating system?
  • Did you find a bug?
  • Any additional features you would like to see?
MailButton | Please mail your comments, questions, etc. to tapeit@silverspike.com
HomeButton | And please visit www.silverspike.com for latest news, updates and more Silverspike products.


Legal Notices

Trademarks

Silverspike is a trademark of Hans Stadtherr. VST and the VST logo are trademarks of Steinberg Media Technologies AG. Further names of actual companies and products mentioned on these help pages are the trademarks of their respective owners.

End User License Agreement

Silverspike TapeIt is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

The distribution of TapeIt includes the file license.txt containing the following end user license agreement.

The following is a legal agreement between you and the author for the Silverspike TapeIt software product (in whole or in part, including all files, data, and documentation, from here on referred to as SOFTWARE). By installing the SOFTWARE, you agree to be bound by the terms of this agreement. If you do not agree to these terms, do not install.

1. LICENSE TO USE.
The author hereby grants you a License to use TapeIt free of charge in your music productions. This License gives you *NO* other rights.

2. RESTRICTIONS.
The SOFTWARE is confidential and copyrighted and is owned by the author. Title to the SOFTWARE and all associated intellectual property rights is retained by the author. You may not make copies of the SOFTWARE. You may not modify, decompile, or reverse engineer the SOFTWARE. You may not distribute the SOFTWARE in any form or in any way without written permission. In particular, you may not sell, hire or lease the SOFTWARE.

3. DISCLAIMER OF WARRANTY.
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.

4. LIMITATION OF LIABILITY.
IN NO EVENT SHALL THE AUTHOR OF THE SOFTWARE OR ITS SUPPLIERS OR RESELLERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


.topic 1000
Choose between 8, 16 and 24 bit integer formats and 32 bit float format.

Note that some audio applications cannot read 24 bit and/or 32 bit audio files.

.topic 1001
Choose between mono and stereo wave file.

If you use TapeIt as a 2-channel plugin (i.e. feed it with a stereo signal) and you choose to create a mono file, both input channels are mixed together.

If you use TapeIt as a 1-channel plugin (i.e. feed it with a mono signal) and you choose to create a stereo file, both channels of the file will show the same audio signal.